ChartDirector Ver 4.1 (PHP Edition Edition)

LineLayer.setSymbolScale

Usage

setSymbolScale(zDataX [, scaleTypeX [, zDataY [, scaleTypeY ]]])

Description

Sets the size of the symbol for each data point (for creating bubble charts).
One common usage for this method is to draw circle symbols of different sizes at each data points, creating a bubble chart.
This method supports any valid data symbols. You can create bubble charts with square bubbles, or even custom data symbols. Also, this method supports independent x and y direction sizing, so you can create bubbles elliptical in shape, and use the horizontal and vertical radius to represent different data.
ChartDirector supports specifying sizes as pixels or in axis scale. The unit is specified by using the following predefined constants.

Constant | Value | Description
--- | --- | ---
PixelScale | 0 | The unit is measured in pixels.
XAxisScale | 1 | The unit is measured in x-axis scale.
YAxisScale | 2 | The unit is measured in y-axis scale.

Arguments

Argument | Default | Description
--- | --- | ---
zDataX | (Mandatory) | The sizes of the symbols at the x-axis direction, expressed using the unit defined by the scaleTypeX argument.
scaleTypeX | PixelScale | The unit for zDataX, which must be one of the predefined constants in the table above.
zDataY | [Empty_Array] | The sizes of the symbols at the y-axis direction, expressed using the unit defined by the scaleTypeY argument. An empty array means the sizes at the y-axis direction are the means as the sizes at the x-axis direction.
scaleTypeY | PixelScale | The unit for zDataY, which must be one of the predefined constants in the table above.

Return Value

None

© 2006 Advanced Software Engineering Limited. All rights reserved.